Bug 1007868 - if the export entry invalid exportfs should not export it;
if the export entry invalid exportfs should not export it;
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
:
Depends On:
Blocks: 1007871
  Show dependency treegraph
 
Reported: 2013-09-13 09:20 EDT by Yin.JianHong
Modified: 2017-12-06 06:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1007871 (view as bug list)
Environment:
Last Closed: 2017-12-06 06:25:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-13 09:20:05 EDT
Description of problem:
if the export entry invalid should not export it;

Version-Release number of selected component (if applicable):
[root@dhcp-13-188 ~]# lsb_release -sr; rpm -q nfs-utils; uname -r
6.4
nfs-utils-1.2.3-36.el6.x86_64
2.6.32-358.11.1.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
[root@dhcp-13-188 ~]# exportfs -ua
[root@dhcp-13-188 ~]# exportfs -i *:/not.exist
exportfs: Failed to stat /not.exist: No such file or directory 

[root@dhcp-13-188 ~]# echo $?
0
[root@dhcp-13-188 ~]# exportfs 
/not.exist    	<world>


Expected results:
should return !0
should not export it

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 22:11:54 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Jan Kurik 2017-12-06 06:25:52 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.